package lcsb.mapviewer.services.search;

import java.io.Serializable;

/**
 * Result of search engine (it can be result of standard search method, or drug
 * search, mirna search etc).
 * 
 * @author Piotr Gawron
 *
 */
public interface ISearchResultView extends Serializable {

	/**
	 * Returns unique identifiers of the search (search with the same identifier
	 * should have the same content).
	 * 
	 * @return unique identifier of the search
	 */
	String getUniqueId();

	/**
	 * Sets unique identifiers of the search (search with the same identifier
	 * should have the same content).
	 * 
	 * @param uniqueId
	 *          identifier of the search
	 */
	void setUniqueId(String uniqueId);

}
