package lcsb.mapviewer.services.search.comment;

import lcsb.mapviewer.model.map.Comment;
import lcsb.mapviewer.services.search.ElementIdentifierDetails;

/**
 * Class with detailed information about element comments.
 * 
 * @author Piotr Gawron
 *
 */
public class CommentDetails extends ElementIdentifierDetails {

	/**
	 * 
	 */
	private static final long	serialVersionUID = 1L;

	/**
	 * Identifier of the comment.
	 */
	private String						commentId;

	/**
	 * Content of the comment.
	 */
	private String						commentContent;

	/**
	 * Default constructor.
	 * 
	 * @param id
	 *          {@link #commentId}
	 * @param content
	 *          {@link #commentContent}
	 */
	public CommentDetails(String id, String content) {
		this.commentId = id;
		this.commentContent = content;
	}

	/**
	 * Default constructor.
	 * 
	 * @param comment
	 *          comment with detailed information
	 */
	public CommentDetails(Comment comment) {
		commentId = comment.getId() + "";
		commentContent = comment.getContent();
	}

	/**
	 * @return the commentId
	 * @see #commentId
	 */
	public String getCommentId() {
		return commentId;
	}

	/**
	 * @param commentId
	 *          the commentId to set
	 * @see #commentId
	 */
	public void setCommentId(String commentId) {
		this.commentId = commentId;
	}

	/**
	 * @return the commentContent
	 * @see #commentContent
	 */
	public String getCommentContent() {
		return commentContent;
	}

	/**
	 * @param commentContent
	 *          the commentContent to set
	 * @see #commentContent
	 */
	public void setCommentContent(String commentContent) {
		this.commentContent = commentContent;
	}

}
