package lcsb.mapviewer.services.search.comment;

import java.awt.geom.Point2D;

import lcsb.mapviewer.services.search.ElementView;

/**
 * Light {@link ElementView view} for comment representing data that should be
 * send to client.
 * 
 * @author Piotr Gawron
 *
 */
public class LightCommentView extends ElementView {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Default constructor.
	 * 
	 * @param point
	 *          {@link Point2D} where the comment is placed
	 * @param idModel
	 *          identifier of the model where comment is placed
	 * 
	 */
	protected LightCommentView(Point2D point, Integer idModel) {
		super(point.toString(), idModel);
	}

	/**
	 * Default constructor.
	 * 
	 * @param objectId
	 *          identifier of the element that is commented
	 * @param idModel
	 *          identifier of the model where comment is placed
	 * 
	 */
	protected LightCommentView(Integer objectId, Integer idModel) {
		super(objectId, idModel);
	}

	/**
	 * Constructor that should be used only for (de)serialization.
	 */
	protected LightCommentView() {
		super();
	}

}
