package lcsb.mapviewer.services.search.data;

import org.apache.log4j.Logger;

import com.google.gson.Gson;

import lcsb.mapviewer.model.map.reaction.Reaction;
import lcsb.mapviewer.services.search.ElementViewFactory;

/**
 * Factory class for {@link LightReactionView} class.
 * 
 * @author Piotr Gawron
 * 
 */
public class LightReactionViewFactory extends ElementViewFactory<Reaction, LightReactionView> {

	/**
	 * Default class logger.
	 */
	@SuppressWarnings("unused")
	private static Logger logger = Logger.getLogger(LightReactionViewFactory.class);

	@Override
	public LightReactionView create(Reaction alias) {
		LightReactionView result = new LightReactionView(alias);
		return result;
	}

	/**
	 * Creates {@link LightReactionView} from {@link FullReactionView}.
	 * 
	 * @param view
	 *          original object
	 * @return light view
	 */
	public LightReactionView create(FullReactionView view) {
		LightReactionView result = new LightReactionView(view);
		return result;
	}

	@Override
	public String createGson(LightReactionView object) {
		return new Gson().toJson(object);
	}
}
