package lcsb.mapviewer.services.search.db;

import java.util.Comparator;

import lcsb.mapviewer.common.comparator.StringComparator;

/**
 * Comparator class for {@link TargetView} objects. It put first elements that
 * are {@link TargetView#getSelectable() selectable} elements.
 * 
 * @author Piotr Gawron
 *
 */
public class DrugTargetViewVisibilityComparator implements Comparator<TargetView> {

	/**
	 * Comparator class for Strings that handles nulls.
	 */
	private final StringComparator stringComparator = new StringComparator();

	@Override
	public int compare(TargetView arg0, TargetView arg1) {
		if (arg0.getSelectable() && !arg1.getSelectable()) {
			return -1;
		}
		if (!arg0.getSelectable() && arg1.getSelectable()) {
			return 1;
		}
		return stringComparator.compare(arg0.getName(), arg1.getName());
	}

}
