package lcsb.mapviewer.services.search.db;

import java.util.ArrayList;
import java.util.List;

import lcsb.mapviewer.services.search.ElementIdentifierDetails;
import lcsb.mapviewer.services.view.AnnotationView;

/**
 * Detailed information about drug targets.
 * 
 * @author Piotr Gawron
 *
 */
public class TargetDetails extends ElementIdentifierDetails {

	/**
	 * 
	 */
	private static final long		 serialVersionUID	= 1L;

	/**
	 * From where this information comes from.
	 */
	private AnnotationView			 databaseSource;

	/**
	 * List of references.
	 */
	private List<AnnotationView> references				= new ArrayList<>();

	/**
	 * @return the databaseSource
	 * @see #databaseSource
	 */
	public AnnotationView getDatabaseSource() {
		return databaseSource;
	}

	/**
	 * @param databaseSource
	 *          the databaseSource to set
	 * @see #databaseSource
	 */
	public void setDatabaseSource(AnnotationView databaseSource) {
		this.databaseSource = databaseSource;
	}

	/**
	 * @return the references
	 * @see #references
	 */
	public List<AnnotationView> getReferences() {
		return references;
	}

	/**
	 * @param references
	 *          the references to set
	 * @see #references
	 */
	public void setReferences(List<AnnotationView> references) {
		this.references = references;
	}

	@Override
	public String toString() {
		return "[TargetDetails]: " + databaseSource.toString() + "; " + references;
	}

}
