/**
 * This package contains structures used for passing data into the client side
 * about search results. Data send to the client map are split into few types:
 * <ul>
 * <li>{@link lcsb.mapviewer.services.search.ILightView} - object with minimum
 * information required to visualize element on map (coordinates, ids), this
 * data is send to the browser only on demand and once</li>
 * <li>{@link lcsb.mapviewer.services.search.IHeavyView} - object with full
 * information about object to visualize on the map (meta data), but the data is
 * not contextualized, so there are no information about comments, drug targets,
 * etc, this data is send to the browser only on demand and once</li>
 * <li>{@link lcsb.mapviewer.services.search.ISearchResultView} - object with
 * full information about single search query, for instance when you search for:
 * "SNCA" it will contain all synuclein alpha elements on the map and maybe
 * other elements with the name being a superstring of "SNCA", this class is
 * used only to visualize result in the left panel</li>
 * <li>{@link lcsb.mapviewer.services.search.data.ElementIdentifier} - the
 * lightest class identifing element that should be visualized on the map in
 * context of search result, it's send to the browser whenever search results
 * change</li>
 * <li>{@link lcsb.mapviewer.services.search.ElementIdentifierDetails} -
 * detailed information about elemnet for a given search result, this data is
 * send to the browser on demand</li>
 * </ul>
 * 
 * 
 * Be carefull when refactoring classes in this package. Data are accessed not
 * directly (not via managable code) by client side.
 */
package lcsb.mapviewer.services.search;
