package lcsb.mapviewer.services.view;

import java.io.Serializable;

import lcsb.mapviewer.model.user.Configuration;
import lcsb.mapviewer.model.user.ConfigurationElementType;

/**
 * View representation of the Configuration element.
 * 
 * @author Piotr Gawron
 * 
 * @see Configuration
 * 
 */
public class ConfigurationView extends AbstractView<Configuration> implements Serializable {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= 1L;

	/**
	 * Type of the configuration element.
	 */
	private ConfigurationElementType	type;
	
	/**
	 * Value of the configuration parameter.
	 */
	private String										value;

	/**
	 * Default constructor which creates View for the object given in the
	 * parameter.
	 * 
	 * @param configuration
	 *          object for which we are interested in the view
	 */
	protected ConfigurationView(Configuration configuration) {
		super(configuration);
	}

	/**
	 * Default constructor. Should be used only for deserialization.
	 */
	protected ConfigurationView() {
	}

	/**
	 * @return the type
	 * @see #type
	 */
	public ConfigurationElementType getType() {
		return type;
	}

	/**
	 * @param type
	 *          the type to set
	 * @see #type
	 */
	public void setType(ConfigurationElementType type) {
		this.type = type;
	}

	/**
	 * @return the value
	 * @see #value
	 */
	public String getValue() {
		return value;
	}

	/**
	 * @param value
	 *          the value to set
	 * @see #value
	 */
	public void setValue(String value) {
		this.value = value;
	}

}
