package lcsb.mapviewer.services.search;

import static org.junit.Assert.assertTrue;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import lcsb.mapviewer.model.map.MiriamData;
import lcsb.mapviewer.model.map.MiriamType;
import lcsb.mapviewer.model.map.species.Element;
import lcsb.mapviewer.model.map.species.Rna;
import lcsb.mapviewer.services.ServiceTestFunctions;
import lcsb.mapviewer.services.search.db.DbSearchCriteria;
import lcsb.mapviewer.services.search.db.GeneRow;
import lcsb.mapviewer.services.search.db.TargetView;
import lcsb.mapviewer.services.search.db.chemical.ChemicalView;
import lcsb.mapviewer.services.search.db.chemical.ChemicalViewFactory;
import lcsb.mapviewer.services.search.db.chemical.IChemicalService;

public class SearchResultFactoryTest extends ServiceTestFunctions {

	Logger							logger = Logger.getLogger(SearchResultFactoryTest.class);

	@Autowired
	ChemicalViewFactory	factory;

	@Autowired
	IChemicalService		chemicalService;

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testElementMatch() {
		String geneName = "GDNF";
		ChemicalView view = chemicalService.getByName("Amphetamine", new DbSearchCriteria().disease(new MiriamData(MiriamType.MESH_2012, "D010300")));
		TargetView target = null;
		for (TargetView t : view.getTargetRows()) {
			for (GeneRow row : t.getProteins()) {
				if (row.getAnnotation().getName().equals(geneName)) {
					target = t;
				}
			}
		}

		Element element = new Rna("id");
		element.setName(geneName);

		assertTrue(factory.elementMatch(target, element));

	}

}
