package lcsb.mapviewer.services.search.layout;

import static org.junit.Assert.assertNotNull;

import java.awt.Color;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import lcsb.mapviewer.common.Pair;
import lcsb.mapviewer.model.map.layout.ColorSchema;
import lcsb.mapviewer.model.map.layout.GenericColorSchema;
import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.model.map.model.ModelFullIndexed;
import lcsb.mapviewer.model.map.species.Element;
import lcsb.mapviewer.model.map.species.GenericProtein;

public class LightLayoutAliasViewFactoryTest {
	LightLayoutAliasViewFactory factory = new LightLayoutAliasViewFactory();

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testCreateGson() throws Exception {
		try {
			Model model = new ModelFullIndexed(null);
			Element alias = new GenericProtein("id");
			alias.setModel(model);
			ColorSchema colorSchema = new GenericColorSchema();
			colorSchema.setColor(Color.BLACK);
			LightLayoutAliasView object = factory.create(new Pair<Element, ColorSchema>(alias, colorSchema));
			assertNotNull(factory.createGson(object));
		} catch (Exception e) {
			e.printStackTrace();
			throw e;
		}
	}

}
