package lcsb.mapviewer.services.search.db.mirna;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import lcsb.mapviewer.common.IProgressUpdater;
import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.model.map.model.ModelFullIndexed;
import lcsb.mapviewer.services.ServiceTestFunctions;
import lcsb.mapviewer.services.search.db.DbSearchCriteria;

public class MiRNAServiceTest extends ServiceTestFunctions {
	Logger									logger = Logger.getLogger(MiRNAServiceTest.class);

	@Autowired
	protected IMiRNAService	miRNAService;

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testgetMiRNAByID() throws Exception {
		try {
			List<MiRNAView> result = null;
			List<String> idStrings = new ArrayList<String>();
			idStrings.add("hsa-miR-122-5p");
			idStrings.add("hsa-miR-32-5p");
			result = miRNAService.getByNames(idStrings, new DbSearchCriteria());
			assertNotNull(result);
			assertTrue(!result.isEmpty());
			assertTrue(result.size() == 2);
		} catch (Exception e) {
			e.printStackTrace();
			throw e;
		}
	}

	@Test
	public void testCacheStub() throws Exception {
		try {
			// CellDesignerXmlParser parser = new CellDesignerXmlParser();
			// Model model = parser.createModel(new
			// ConverterParams().filename("testFiles/pd_full/PD_130909.xml"));
			Model model = new ModelFullIndexed(null);
			miRNAService.cacheDataForModel(model, new IProgressUpdater() {
				@Override
				public void setProgress(double progress) {
					logger.debug("Progress: " + progress);
				}
			});
		} catch (Exception e) {
			e.printStackTrace();
			throw e;
		}
	}

}
